Represents a raw buffer of binary data, which is used to store data for the different typed arrays. ArrayBuffers cannot be read from or written to directly, but can be passed to a typed array or DataView Object to interpret the raw buffer as needed.

### Hierarchy

- ArrayBuffer

## Index

### Properties

- byteLength

### Methods

- slice

## Properties

### byteLength

byteLength: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1496

Read-only. The length of the ArrayBuffer (in bytes).

## Methods

### slice

- slice(begin: number, end?: undefined | number): ArrayBuffer

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1501

  Returns a section of an ArrayBuffer.

  #### Parameters

  - ##### begin: number

  - ##### Optional end: undefined | number

  #### Returns ArrayBuffer

Generated using TypeDoc